Name: stress-ng
Version: 0.09.60
Release: alt0.M80P.1
Summary: Stress test a computer system in various ways
Group: System/Kernel and hardware
License: GPLv2

Url: http://kernel.ubuntu.com/~cking/stress-ng/
#Git: git://kernel.ubuntu.com/cking/stress-ng.git
Source: %name-%version.tar

Patch1: stress-ng-0.09.60-alt-copy_file_range.patch

BuildRequires: libaio-devel
BuildRequires: libattr-devel
BuildRequires: libbsd-devel
BuildRequires: libcap-devel
BuildRequires: libgcrypt-devel
BuildRequires: libseccomp-devel
BuildRequires: libkeyutils-devel
BuildRequires: liblksctp-devel
BuildRequires: zlib-devel
BuildRequires: kernel-headers-std-def

%description
stress-ng will stress test a computer system in various selectable ways. It was
designed to exercise various physical subsystems of a computer as well as the
various operating system kernel interfaces.

%prep
%setup

# override issue with absence of __NR_copy_file_range in glibc-kernheaders-4.4
%patch1 -p1

%build
# cheating on stress-ng autoconfig to turn on the copy-file stressor;
# autoconfig fails to detect it's support as glibc-2.23 doesn't provide a wrapper
# for __NR_copy_file_range syscall (supported since kernel 4.5)
export CFLAGS="$CFLAGS -DHAVE_COPY_FILE_RANGE"
%make_build

%install
%makeinstall_std

%files
%doc COPYING
%doc README
%_bindir/stress-ng
%_datadir/bash-completion/completions/stress-ng
%_datadir/stress-ng/
%_mandir/man1/stress-ng.1.*

%changelog
* Mon Jul 01 2019 Nikolai Kostrigin <nickel@altlinux.org> 0.09.60-alt0.M80P.1
- Backport to p8 with workaround for ALT #36956 (closes: #36956)

* Mon Jul 01 2019 Nikolai Kostrigin <nickel@altlinux.org> 0.09.60-alt1
- New version
- Spec: cleanup

* Sat Aug 11 2018 Vitaly Chikunov <vt@altlinux.org> 0.09.36-alt2
- First package for ALT
